[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedCustomBitmap.Create

Create - constructor for TSharedCustomBitmap: calls inherited Create and initializes the image.

## Declaration

Source position: graphics.pp line 1361

`public constructor TSharedCustomBitmap.Create; override;`

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry. Create calls the Init method in the internal TRawImage instance uses in the class. This ensures that resources are allocated and initialized, and properties are set to their default values in both the raw image and its image descriptor.

## See also

TRawImage.Init
TObject.Create